import sys
input = sys.stdin.read
 
def main():
    a, b, c = map(int, input().split())
    
    if b - c <= a:
        print("YES")
    else:
        print("NO")
 
if __name__ == "__main__":
    main()

